upgrade toontrack software

Product Manager
Viewing 6 replies - 1 through 6 (of 6 total)
  • John
    Moderator

    Hi,

    I can see you have EZdrummer 1 registered to your account but the Action! EZX needs at least ‘A working EZdrummer 2.1.7 or Superior Drummer 3.1.2 (or above) installation’ as stated by the System requirements on the product page.

     

    BR,
    John

    John Rammelt - Toontrack
    Technical Advisor

    noblehousetours
    Participant

    nice


    Operating system: Windows 10
    David E White
    Participant

    Just upgraded to Win 10 and Cubase 10. Lost all my 32 bit. Why, when I use Toontrack Product Manager does it keep showing the path to 32 bit programs folder, and not the 64 bit programs I have and use. It also looks like TPM is 32 bit not 64. Is that correct.

    Dave


    Operating system: Windows 10
    Robert Schenk
    Participant

    Hi,

    I downloaded my product Jazz EZX 1.3.5 on my MAC (Version Big Sur 11.4.)

    Where can I find the latest version of this Toontrack software to install this produkt.

    After installing Jazz EZX I want to start a light upgrade to EZ Drummer 2 for EUR 119.

    Wow can I do this?

     

    Best Regards

    Robert

    Robert Schenk
    Participant

    I can’t find your reply.

    Scott
    Moderator

    Hi,

    I downloaded my product Jazz EZX 1.3.5 on my MAC (Version Big Sur 11.4.)

    Where can I find the latest version of this Toontrack software to install this produkt.

    After installing Jazz EZX I want to start a light upgrade to EZ Drummer 2 for EUR 119.

    Wow can I do this?

     

    Best Regards

    Robert

    You would need to have EZD Lite version registered to your account to purchase the EZD2 Lite upgrade. If you don’t have that, you would need to purchase the full EZD2 version.

    Scott Sibley - Toontrack
    Technical Advisor

Viewing 6 replies - 1 through 6 (of 6 total)

Please log in to read and reply to this topic.

×